Page MenuHomePhabricator

Confusing error message in Flow when there is a conflict of comments being posted (needs to be reproduced)
Closed, ResolvedPublic

Description

Forwarding a report in ca.wiki:

When two users are trying to post a comment at the same time in a Flow page, both get this confusing error message:

You have not sufficient permissions to perform this action

In this case both users were ol' vets, and soon they figured out what was happening (a conflict of edits). Regular users will get surely puzzled by this message.

EXPECTED

A message explaining why your comment isn't posted yet, and what needs to be done to publish it.

Event Timeline

Qgil created this task.Dec 16 2014, 10:30 PM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: StructuredDiscussions.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Vriullop.
Mattflaschen-WMF triaged this task as High priority.Jan 14 2015, 7:21 PM

This is not intended to cause an edit conflict (since unlike talk pages, each comment is a separate entity). This requires investigation. The cause might also be something else.

DannyH renamed this task from Confusing error message in Flow when there is a conflict of comments being posted to Confusing error message in Flow when there is a conflict of comments being posted (needs to be reproduced).Jan 14 2015, 7:22 PM
DannyH moved this task from Untriaged to Team discussion on the Collaboration-Team-Triage board.

Just tried, and cannot reproduce.
I used to account to:

So, I think the hypothesis about the origin of the error message that was received, might be wrong?

Qgil added a subscriber: KRLS.Aug 27 2015, 11:00 PM

Reading the original description, I think the test needs to be done by two users using this sequence:

  1. Someone creates a topic.
  2. User1 and User2 see the topic in their browser windows.
  3. User1 posts a reply.
  4. Without refreshing the page, User2 posts a reply.

The original report says that both users were having problems, which is weird. Maybe they pressed the button exactly at the same time... but then again they said they were trying repeated times.

I haven't seen or heard about this problem since then (8 months ago), so perhaps it was a sole weird event, and this task can be closed now...

KRLS added a comment.Aug 27 2015, 11:25 PM

Last months, there were several conflict editions in flows pages of ca.wiki and anybody say about this type of message. Maybe, We could close this task because this strange error message haven't repeated more and it seems an unusual case.

Quiddity closed this task as Resolved.Aug 28 2015, 12:29 AM
Quiddity claimed this task.

Ok, I'll close for now, and we can re-open if it appears again. Thanks!

Quiddity removed Quiddity as the assignee of this task.Aug 28 2015, 12:30 AM